bximage(1)

NAME
bximage - Interactive Disk Image Creation, Conversion, Resize and Redolog Commit Tool for Bochs

SYNOPSIS
bximage [options] [filename1] [filename2]

DESCRIPTION

Bximage is an easy to use console based tool for creating, converting and resizing disk images, particularly for use with Bochs. It also supports committing redolog files to their base images. It is completely interactive if no command line arguments are used. It can be switched to a non-interactive mode if all required parameters are given in the command line.

OPTIONS

When you run bximage without one of the following options, it will appear in interactive mode and ask for all required parameters to manipulate an image.

-func=...
    Operation to perform (create, convert, resize, commit, info)

-fd=...
    Create: floppy image with size code (e.g. 360k, 720k, 1.44M)

-hd=...
    Create/resize: hard disk image with size in megabytes (M) or gigabytes (G)

-imgmode=...
    Create/convert: hard disk image mode - see the bochsrc sample for supported options.

-b  Convert/resize: create a backup of the source image. Commit: create backups of base image and redolog file.

-q  Quiet mode (don't prompt for user input). Without this option bximage uses the command line parameters as defaults for the interactive mode. If this option is given and one of the required parameters is missing, bximage will fall back to interactive mode.

    This example creates a harddisk image in flat mode and sector size 512:

    bximage -q -func=create -hd=100M hd100meg.img

--help
    Print a summary of the command line options for bximage and exit.

The filename1 parameter specifies the name of the new image (create), the source image (convert/resize) or the base image (commit).

The filename2 parameter specifies the name of the destination image (convert/resize) or the redolog (journal) file (commit).

LICENSE
This program is distributed under the terms of the GNU Lesser General Public License as published by the Free Software Foundation. See the LICENSE and COPYING files located in /usr/share/doc/bochs/ for details on the license and the lack of warranty.

AVAILABILITY
The latest version of this program can be found at:
  http://bochs.sourceforge.net/getcurrent.html

SEE ALSO
bochs(1), bochsrc(5), bochs-dlx(1)

The Bochs IA-32 Emulator site on the World Wide Web:
  http://bochs.sourceforge.net

Online Bochs Documentation
	http://bochs.sourceforge.net/doc/docbook

AUTHORS
The original version of bximage was written by Bryce Denney, based on several similar tools from the bochs-developers list. The support for converting and resizing images has been added by Volker Ruppert.

BUGS
Please report all bugs to the bug tracker on our web site. Just go to http://bochs.sourceforge.net, and click "Bug Reports" on the sidebar under "Feedback."

Provide a detailed description of the bug, the version of the program you are running, the operating system you are running the program on and the operating system you are running in the emulator.